<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\OfficialAccountService;
class ForBiddenOfficialAccountRemind extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'ForBiddenOfficialAccountRemind';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'ForBiddenOfficialAccountRemind';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        \Log::info("======公众号封号检测【任务执行开始】=====".date("y-m-d H:i:s"."\n"));
        $this->start();
        \Log::info("======公众号封号检测【任务执行结束】=====".date("y-m-d H:i:s"."\n"));
    }

    public function start(){
        OfficialAccountService::check_gzh_ban();
    }
}
